
OpenSCAP - Bug #16096

Remove attr_accessible from models

08/12/2016 10:39 AM - Ondřej Pražák

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category:    

Target version: foreman_openscap 0.6.0   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman_

openscap/pull/184,

https://github.com/theforeman/foreman_

openscap/pull/187,

https://github.com/theforeman/foreman_

openscap/pull/206

  

Description

Replace attr_accessible with strong parameters to be compatible with core.

Related issues:

Related to Foreman - Feature #3917: Add strong_parameters to foreman Closed 12/19/2013

Related to OpenSCAP - Bug #16443: Add parameter filter for hostgroup Closed 09/06/2016

Related to OpenSCAP - Bug #16497: Fix Foreman dependency for foreman_openscap... Closed 09/09/2016

Associated revisions

Revision 0284c5bf - 08/15/2016 06:55 AM - Ondřej Pražák

Fixes #16096 - Add strong parameters

Revision 86756e4a - 08/16/2016 03:39 AM - Marek Hulán 

Merge pull request #184 from xprazak2/strong-params

Fixes #16096 - Add strong parameters

Revision f43fed85 - 08/17/2016 09:21 AM - Shlomi Zadok

Refs #16096 - Typo fix

Typo in app/controllers/api/v2/compliance/scap_contents_controller.rb

should be "Parameters" instead of "Parameter"

Revision 7901ef3e - 08/18/2016 04:31 AM - xprazak2 

Merge pull request #187 from shlomizadok/refs_16096

Refs #16096 - Typo fix

History

#1 - 08/12/2016 10:40 AM - Ondřej Pražák

- Related to Feature #3917: Add strong_parameters to foreman added

#2 - 08/15/2016 02:44 AM - Ondřej Pražák

- Target version set to 115

#3 - 08/15/2016 06:55 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Pražák
- Pull request https://github.com/theforeman/foreman_openscap/pull/184 added

#4 - 08/16/2016 04:01 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset foreman_openscap|0284c5bf6112f2855f59e056dd0585949e56f34a.

#5 - 08/16/2016 04:10 AM - Marek Hulán

- Target version changed from 115 to 1.6.3

- translation missing: en.field_release set to 180

#6 - 08/17/2016 09:23 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman_openscap/pull/187 added

#7 - 09/05/2016 06:25 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman_openscap/pull/206 added

#8 - 09/06/2016 08:56 AM - Marek Hulán

- Related to Bug #16443: Add parameter filter for hostgroup added

#9 - 09/09/2016 05:06 AM - Marek Hulán

- Related to Bug #16497: Fix Foreman dependency for foreman_openscap 0.6 added
